/* Universal Styles */
body, html {
    margin: 0;
    padding: 0;
    font-family: 'Arial', sans-serif;
    background: #000000;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 40px; /* Increase padding to prevent content from being cropped */
    min-height: 100vh; /* Ensures the full viewport height is used without cropping */
}

/* Index Page Styles */
.container {
    text-align: center;
    padding: 40px;
    background: rgba(0, 55, 145, 0.2);
    border-radius: 20px;
    backdrop-filter: blur(10px);
    box-shadow: 0 8px 32px 0 rgba(0, 162, 255, 0.37);
    max-width: 800px;
    width: 90%;
}

h1 {
    font-size: 3em;
    margin-bottom: 20px;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
}

.domain {
    font-size: 5em;
    font-weight: bold;
    color: #00a2ff;
    text-shadow: 0 0 10px rgba(0,162,255,0.7);
    margin-bottom: 30px;
}

.cta, .buy-domain a {
    display: inline-block;
    padding: 15px 30px;
    font-size: 1.2em;
    text-decoration: none;
    color: #ffffff;
    background-color: #00a2ff;
    border-radius: 50px;
    transition: all 0.3s ease;
    box-shadow: 0 5px 15px rgba(0,0,0,0.2);
}

.cta:hover, .buy-domain a:hover {
    background-color: #ffffff;
    color: #003791;
    transform: translateY(-3px);
    box-shadow: 0 8px 20px rgba(0,0,0,0.3);
}

.body-paragraph {
    margin-top: 40px;
    font-size: 0.9em;
    line-height: 1.6;
    color: #cccccc;
    text-align: justify;
}

/* News Page Styles */
header {
    text-align: center;
    padding: 20px 0;
    background: rgba(0, 55, 145, 0.2);
    border-radius: 20px;
    backdrop-filter: blur(10px);
    box-shadow: 0 8px 32px 0 rgba(0, 162, 255, 0.37);
    margin-bottom: 40px;
}

.news-list {
    list-style-type: none;
    padding: 0;
}

.news-item {
    background: rgba(0, 55, 145, 0.1);
    margin-bottom: 20px;
    border-radius: 10px;
    transition: all 0.3s ease;
    overflow: hidden;
    text-align: left;
}

.news-item:hover {
    background: rgba(0, 55, 145, 0.2);
    transform: translateY(-5px);
    box-shadow: 0 5px 15px rgba(0, 162, 255, 0.2);
}

.news-item a {
    color: #ffffff;
    text-decoration: none;
    display: block;
    padding: 20px;
}

.news-item .title {
    font-size: 1.2em;
    margin-bottom: 5px;
}

.news-item .date {
    color: #00a2ff;
    font-size: 0.9em;
    text-align: left;
}

.buy-domain {
    text-align: center;
    margin-top: 40px;
}
